[arch-commits] Commit in icmake/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Apr 8 08:01:28 EDT 2009


    Date: Wednesday, April 8, 2009 @ 08:01:27
  Author: eric
Revision: 34237

upgpkg: icmake 7.11.1-1
    Upstream update, Added arch tag, Added license, FHS man pages

Modified:
  icmake/trunk/PKGBUILD

----------+
 PKGBUILD |   31 +++++++++++++++++--------------
 1 file changed, 17 insertions(+), 14 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-08 11:36:45 UTC (rev 34236)
+++ PKGBUILD	2009-04-08 12:01:27 UTC (rev 34237)
@@ -1,24 +1,27 @@
 # $Id$
 # Maintainer: Jeff Mickey <jeff at archlinux.org>
 pkgname=icmake
-pkgver=6.22
+pkgver=7.11.1
 pkgrel=1
 pkgdesc="Intelligent C-like MAKE-r."
+arch=('i686' 'x86_64')
 url="ftp://ftp.rug.nl/contrib/frank/software/linux/icmake/"
+license=('GPL')
 depends=('glibc')
-makedepends=()
-source=(ftp://ftp.rug.nl/contrib/frank/software/linux/$pkgname/$pkgname-$pkgver.tgz \
-		ftp://ftp.rug.nl/contrib/frank/software/linux/$pkgname/$pkgname.1 )
+source=(ftp://ftp.rug.nl/contrib/frank/software/linux/$pkgname/${pkgname}_$pkgver.tar.gz)
+md5sums=('aa19b8d0747b01589bdba01b21df8c44')
 
 build() {
-  cd $startdir/src/$pkgname
-  /bin/sh bootstrap
-  install -m755 -D bin/icm-comp  $startdir/pkg/usr/bin/icm-comp
-  install -m755 -D bin/icm-exec  $startdir/pkg/usr/bin/icm-exec
-  install -m755 -D bin/icm-pp  $startdir/pkg/usr/bin/icm-pp
-  install -m755 -D bin/icmake  $startdir/pkg/usr/bin/icmake
-  install -m755 -D bin/icmun $startdir/pkg/usr/bin/icmun
-  install -m644 -D ../icmake.1 $startdir/pkg/usr/man/man1/icmake.1
+  cd $srcdir/$pkgname-$pkgver
+  /bin/sh bootstrap.sh || return 1
+  install -m755 -D bin/icm-comp  $pkgdir/usr/lib/icmake/icm-comp || return 1
+  install -m755 -D bin/icm-exec  $pkgdir/usr/lib/icmake/icm-exec || return 1
+  install -m755 -D bin/icm-pp  $pkgdir/usr/lib/icmake/icm-pp || return 1
+  install -m755 -D bin/icmake  $pkgdir/usr/bin/icmake || return 1
+  install -m755 -D bin/icmbuild  $pkgdir/usr/bin/icmbuild || return 1
+  install -m755 -D bin/icmstart  $pkgdir/usr/bin/icmstart || return 1
+  install -m755 -D bin/icmun $pkgdir/usr/bin/icmun || return 1
+  install -d -m755 $pkgdir/usr/share/man/man1
+  install -m644 doc/*.1  $pkgdir/usr/share/man/man1 || return 1
+  cp -R usr/share/icmake $pkgdir/usr/share/
 }
-
-md5sums=('dff5bb7e5570aaff9adff1bc1f9f630a' 'b52c8842ff571a7f57478069484d75c3')



More information about the arch-commits mailing list